Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.functions
Class XYNumericFunction

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Fixed2ArgFunction
          org.apache.poi.hssf.record.formula.functions.XYNumericFunction

All Implemented Interfaces:
  Function, Function2Arg

Direct Known Subclasses:
  Sumx2my2, Sumx2py2, Sumxmy2

    public abstract class XYNumericFunction

extends Fixed2ArgFunction

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Nested Class Summary
`protected static interface` | `XYNumericFunction.Accumulator`

Constructor Summary
`XYNumericFunction()`

Method Summary
`protected abstract XYNumericFunction.Accumulator` | `createAccumulator()` Constructs a new instance of the Accumulator used to calculated this function
`ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.hssf.record.formula.functions.Fixed2ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYNumericFunction

    public XYNumericFunction()

Method Detail

### createAccumulator

    protected abstract XYNumericFunction.Accumulator createAccumulator()

  Constructs a new instance of the Accumulator used to calculated this function

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1)

  Description copied from interface: `Function2Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.